/*
				ID3 - IDs List

	List of common ID3 IDs.
 */

#ifndef EDV_ID3_IDS_LIST_H
#define EDV_ID3_IDS_LIST_H


/*
 *	Common IDs:
 */
#define EDV_ID3_FRAME_ID_ALBUM		"TALB"
#define EDV_ID3_FRAME_ID_ARTIST		"TPE1"
#define EDV_ID3_FRAME_ID_AUDIO_ENCRYPTION	"AENC"
#define EDV_ID3_FRAME_ID_BAND		"TPE2"
#define EDV_ID3_FRAME_ID_BPM		"TBPM"
#define EDV_ID3_FRAME_ID_BUFFER_SIZE	"RBUF"
#define EDV_ID3_FRAME_ID_CD_ID		"MCDI"
#define EDV_ID3_FRAME_ID_COMMENTS	"COMM"
#define EDV_ID3_FRAME_ID_COMMERCIAL	"COMR"
#define EDV_ID3_FRAME_ID_COMPOSER	"TCOM"
#define EDV_ID3_FRAME_ID_CONDUCTOR	"TPE3"
#define EDV_ID3_FRAME_ID_CONTENT_GROUP	"TIT1"
#define EDV_ID3_FRAME_ID_COPYRIGHT	"TCOP"
#define EDV_ID3_FRAME_ID_CODEC		"TENC"	/* Encoded By */
#define EDV_ID3_FRAME_ID_CODEC_SETTINGS	"TSSE"
#define EDV_ID3_FRAME_ID_DATE		"TDAT"
#define EDV_ID3_FRAME_ID_USER_TEXT	"TXXX"
#define EDV_ID3_FRAME_ID_ENCRYPTION	"ENCR"
#define EDV_ID3_FRAME_ID_EQUALIZATION	"EQUA"
#define EDV_ID3_FRAME_ID_EVENT_TIMMING	"ETCO"
#define EDV_ID3_FRAME_ID_FILE_OWNER	"TOWN"
#define EDV_ID3_FRAME_ID_FILE_TYPE	"TFLT"
#define EDV_ID3_FRAME_ID_GENERAL_OBJECT	"GEOB"
#define EDV_ID3_FRAME_ID_GENRE		"TCON"	/* Content Type */
#define EDV_ID3_FRAME_ID_GROUP		"GRID"
#define EDV_ID3_FRAME_ID_IMAGE		"APIC"	/* Picture */
#define EDV_ID3_FRAME_ID_INITIAL_KEY	"TKEY"
#define EDV_ID3_FRAME_ID_INTERNET_RADIO_OWNER	"TRSO"
#define EDV_ID3_FRAME_ID_INTERNET_RADIO_STATION	"TRSN"
#define EDV_ID3_FRAME_ID_INVOLVED_PEOPLE	"IPLS"
#define EDV_ID3_FRAME_ID_ISRC		"TSRC"
#define EDV_ID3_FRAME_ID_LANGUAGE	"TLAN"
#define EDV_ID3_FRAME_ID_LENGTH		"TLEN"
#define EDV_ID3_FRAME_ID_LEAD_ARTIST	"TPE1"
#define EDV_ID3_FRAME_ID_LINKED_INFO	"LINK"
#define EDV_ID3_FRAME_ID_LYRICALIST	"TEXT"
#define EDV_ID3_FRAME_ID_MEDIA_TYPE	"TMED"
#define EDV_ID3_FRAME_ID_MIX_ARTIST	"TPE4"
#define EDV_ID3_FRAME_ID_MPEG_LOOKUP	"MLLT"
#define EDV_ID3_FRAME_ID_OBSOLETE	"ZOBS"
#define EDV_ID3_FRAME_ID_ORIGINAL_ALBUM	"TOAL"
#define EDV_ID3_FRAME_ID_ORIGINAL_ARTIST	"TOPE"
#define EDV_ID3_FRAME_ID_ORIGINAL_FILE_NAME	"TOFN"
#define EDV_ID3_FRAME_ID_ORIGINAL_LYRICALIST	"TOLY"
#define EDV_ID3_FRAME_ID_ORIGINAL_YEAR	"TORY"
#define EDV_ID3_FRAME_ID_OWNER		"OWNE"
#define EDV_ID3_FRAME_ID_PART_INSET	"TPOS"
#define EDV_ID3_FRAME_ID_PLAY_COUNTER	"PCNT"
#define EDV_ID3_FRAME_ID_PLAY_LIST_DELAY	"TDLY"
#define EDV_ID3_FRAME_ID_POPULARIMETER	"POPM"
#define EDV_ID3_FRAME_ID_POSITION_SYNC	"POSS"
#define EDV_ID3_FRAME_ID_PUBLISHER	"TPUB"
#define EDV_ID3_FRAME_ID_PRIVATE	"PRIV"
#define EDV_ID3_FRAME_ID_RECORDING_DATES	"TRDA"
#define EDV_ID3_FRAME_ID_REVERB		"RVRB"
#define EDV_ID3_FRAME_ID_SIZE		"TSIZ"
#define EDV_ID3_FRAME_ID_SUBTITLE	"TIT3"
#define EDV_ID3_FRAME_ID_SYNCED_LYRICS	"SYLT"
#define EDV_ID3_FRAME_ID_SYNCED_TEMPO	"SYTC"
#define EDV_ID3_FRAME_ID_TERMS_OF_USE	"USER"
#define EDV_ID3_FRAME_ID_TIME		"TIME"
#define EDV_ID3_FRAME_ID_TITLE		"TIT2"
#define EDV_ID3_FRAME_ID_TRACK		"TRCK"
#define EDV_ID3_FRAME_ID_UNIQUE_FILE_ID	"UFID"
#define EDV_ID3_FRAME_ID_UNSYNCED_LYRICS	"USLT"
#define EDV_ID3_FRAME_ID_VOLUME_ADJUST	"RVAD"
#define EDV_ID3_FRAME_ID_WEBSITE_ARTIST	"WOAR"
#define EDV_ID3_FRAME_ID_WEBSITE_AUDIO_FILE	"WOAF"
#define EDV_ID3_FRAME_ID_WEBSITE_AUDIO_SOURCE	"WOAS"
#define EDV_ID3_FRAME_ID_WEBSITE_COMMERCIAL	"WCOM"
#define EDV_ID3_FRAME_ID_WEBSITE_COPYRIGHT	"WCOP"
#define EDV_ID3_FRAME_ID_WEBSITE_PAYMENT	"WPAY"
#define EDV_ID3_FRAME_ID_WEBSITE_PUBLISHER	"WPUB"
#define EDV_ID3_FRAME_ID_WEBSITE_RADIO_PAGE	"WORS"
#define EDV_ID3_FRAME_ID_WEBSITE_EXTRA	"WXXX"
#define EDV_ID3_FRAME_ID_YEAR		"TDRC"


#endif	/* EDV_ID3_IDS_LIST_H */
